Skip to main content
GET
/
v1
/
operational-webhook
/
endpoint
/
{id}
/
headers
TypeScript SDK
import { Solifyn } from 'solifyn';

const solifyn = new Solifyn({ apiKey: 'your_private_api_key_here' });

// Get operational endpoint headers
const headers = await solifyn.webhookEndpoint.getHeaders('ep_1srOrx2ZWZBpBUvZwXKQmoEYga2');
console.log('Endpoint headers:', headers);
{
  "headers": {
    "X-Example": "123",
    "X-Foobar": "Bar"
  },
  "sensitive": [
    "Authorization"
  ]
}

Path Parameters

id
string
required

The endpoint ID or UID

Response

200 - application/json
headers
object
required

Key-value headers sent with the webhook.

Example:
{ "X-Example": "123", "X-Foobar": "Bar" }
sensitive
string[]
required

List of sensitive header keys (e.g. Authorization) that are masked.

Example:
["Authorization"]